package com.mortals.xhx.module.device.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.device.model.DeviceEntity;
import com.mortals.xhx.module.device.model.DeviceQuery;

/**
* Device
*
* 设备 Form
*
* @author zxfei
* @date 2022-03-09
*/
public class DeviceForm extends BaseCRUDFormLong<DeviceEntity> {
    private DeviceEntity entity = new DeviceEntity();
    private DeviceQuery query = new DeviceQuery();
    public DeviceForm(){
    }

    @Override
    public DeviceEntity getEntity() {
        return entity;
    }

    public void setDevice(DeviceEntity entity) {
        this.entity = entity;
    }

    @Override
    public DeviceQuery getQuery() {
        return query;
    }

    public void setQuery(DeviceQuery query) {
        this.query = query;
    }
}